
Redmine - Feature #1086

Fine grained permissions

2008-04-22 05:54 - Cory Nelson

Status: New Start date: 2008-04-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Permissions should be appliable per-forum, per-wiki page, per-download, etc. - A team might have some internal documents and

other external documents.  A support forum, and a developer forum.

Related issues:

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04

Related to Redmine - Feature #2636: Feature Request: Wiki ACLs (Access contro... New 2009-01-31

Related to Redmine - Feature #4550: Allow access to files & documents to be c... New 2010-01-11

Related to Redmine - Feature #2076: Individual Permissions for Each Project Closed 2008-10-23

Has duplicate Redmine - Feature #1428: More granular module permissions in pr... Closed 2008-06-12

History

#1 - 2008-06-05 18:55 - James Byrne

- Target version set to 0.8

++1

The existing permissions structure set at the instance level could become the default, but allowing project managers to override and set user role

permissions on a per-project basis would be very useful.  Further allowing project managers to set access limits on forums and wiki pages to a

collection of roles would greatly enhance the usability of Redmine for providing client facing portions respecting support issues.

#2 - 2008-06-09 00:28 - Jean-Philippe Lang

- Target version deleted (0.8)

#3 - 2008-08-02 03:50 - colin moock

+1

i'm very interested in per-project permissions too. we're about to launch a software company with public issue-tracking in redmine. for some projects,

we want to let anonymous users view the code repository. for others, we want to restrict anonymous users from viewing the code repository.

we're relying on redmine as our entire "dev community" site, and this is the first feature we've found that's a blocker on our plans.

#4 - 2008-08-02 03:53 - colin moock

Issue #850 looks like a dupe of this issue.

#5 - 2008-08-13 17:20 - Vladymyr Vladymyrov

It would be also very useful to have permissions selection for every module: forum/wiki/time tracker/estimate field.

For our project we are in real need of hiding time estimates and time tracking log from customer.

#6 - 2008-12-19 18:18 - Kaota Tashuko

I would like to express my agreement for having this issue resolved.

I started a project using Redmine but was dismayed at the lack of permissions tuning.  If Roles as previously noted could be applied to individual

portions of a project (forums, wiki, etc) that would make my day.  Ideally I want a forum that only the developers can see and use, and a forum for the

public; same with a few wiki pages; and no, just starting separate projects isn't the answer.

#7 - 2008-12-20 02:25 - Burt Culver

+1 Our organisation doesn't use the wiki features of Redmine exactly because we don't have user level control over who can view what pages. We'ld

like to have the ability to say persons A, B, C can see/edit the page but no one else.  Group level permissions would be a nice to have but not a
requirement.  We'd love to dump our phpwiki and start using redmine wiki.  None of us code Ruby unfortunately so we can't help with the coding.

#8 - 2009-02-04 16:00 - Juris P

+1

#9 - 2009-02-19 14:06 - Fredrik Frodlund

+1

I'd like to have even more granular permissions for public users, which would effectively dissallow them to assign issues to specific persons. Actually

what I want is to hide certain parts of the form (not just the "Assigned to" field).

#10 - 2009-02-27 16:09 - Jean-Philippe Lang

- Category set to Permissions and roles

#11 - 2009-07-24 09:31 - Werner KLINGER

I was looking for a specific, simple feature: allow either wiki, forum, to be made "public" whereas other modules are kept non public (like trackers,

repository). My "feature request" would rather be #1428, but as it is closed and said to be duplicate of this one...

So, to sum up: I would first like to have the ability to make modules (forum, wiki, repository...) visible (read) and accessible (read/write) per user

groups. For instance: I may make the wiki readable by all, only updated by project members users, forum available to any registered user, but access

to all other modules (repository, trackers...) would still be restricted to project members ; Thus, I would suggest to re-open #1428 to track this "simple"

feature.

Regarding this (#1086) request, I like the idea, meaning fine granularity down to wiki pages, forums (make not all forums at once public, only

selected ones), but it sounds to me like being very complicated to implement.

#12 - 2010-07-12 01:54 - Ве Fio

Please bring this in. I need to host both open source projects and closed source projects, and I want to be able to browse the repository of my closed

source apps (ONLY me and my developers should have access to that part), and allow everyone access to the open source repositories. I cannot do

this with the current system. The current system is an all-or-nothing model.

I know I would be able to do what I need to do if only permission defaults were able to be overridden on a per project basis! Please fix this!!

#13 - 2010-08-13 17:51 - Benjamin Neau

+1.

#14 - 2010-09-08 19:12 - Mario Bouhaidar

+ 1

#15 - 2011-01-12 13:04 - Marcelo Fernandes

+1 I do need setup 'documents' section per project.

#16 - 2011-05-18 21:34 - Anonymous

+1 And having possibility of modifying Anonymous and Non Members roles per project would be even better.

#17 - 2011-06-10 18:34 - Esteban Bordon

Viliam Pucik wrote:

+1 And having possibility of modifying Anonymous and Non Members roles per project would be even better.

 +1

Where I work it would be really good

#18 - 2011-06-13 23:51 - Ian Chan

+1

#19 - 2011-11-11 14:50 - Giovani Spagnolo

+1

it would be useful to protect some "documents" folders for example to show procurement documents folder only to managers but not to developers;

show technical level folders to developers and not to external stakeholders, and so on...

#20 - 2012-02-10 00:13 - Axel Clifford
+1

We have a need to add external contractors to a specific project, but I do not want to allow them to see any of our other projects, tickets, wikis, etc.

#21 - 2012-07-07 10:11 - Vasa Maximov

+1

I need to restrict access to some wiki pages only for the team leaders

#22 - 2012-09-08 06:26 - Charles Spivey

+1

It would be really nice to have the ability to set view/edit permissions to wiki pages.

#23 - 2012-10-10 12:29 - carlos lopez

+1

#24 - 2012-11-26 16:40 - Yehuda Katz

+1

#25 - 2012-12-04 12:14 - Hrobky Hrobky

This would be really comfortable, but I'm achieving this effect by sub-projects. Permission checking in Redmine is well done: you don't even see

projects, you don't have access to; and you cannot click on inter-project wiki/document links, when not having access rights to the target.

What's really interesting thing is:

Viliam Pucik wrote:

+1 And having possibility of modifying Anonymous and Non Members roles per project would be even better.

#26 - 2012-12-16 12:56 - Boaz Rymland

+1. Would be nice to have sections of the wiki blocked to certain users.

#27 - 2012-12-16 14:28 - Terence Mill

What's really interesting thing is:

Viliam Pucik wrote:

+1 And having possibility of modifying Anonymous and Non Members roles per >project would be even better.

 

+1 also !

#28 - 2014-07-17 11:05 - Florian Kaiser

+1

#29 - 2014-09-20 17:35 - Toshi MARUYAMA

- Related to Feature #2636: Feature Request: Wiki ACLs (Access control for individual pages) added

#30 - 2014-10-03 16:26 - Toshi MARUYAMA

- Related to Feature #4550: Allow access to files & documents to be configurable for each entry by user role added

#31 - 2014-10-03 16:27 - Toshi MARUYAMA

- Related to Feature #2076: Individual Permissions for Each Project added

#32 - 2016-09-17 10:57 - Mahyar Ahmadpour-B.

+1. Also this permission should be per tracker, parent/child relation or related issues. I suggest such permissions for issues' visibility with

multiselectablity feature:

1. Assigned Issues

2. Owned Issues

3. Issues related to owned/assigned
4. Parents of owned/assigned issues

5. Children of owned/assigned issues

#33 - 2016-12-06 12:31 - Zer Guz

+1

#34 - 2022-06-01 08:56 - Yurii Panasenco

+1
